<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
?>
<html>
	<head><script language='javascript' src='fscript.js'></script>
	<link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<? 
menu();
?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>
<?
		echo "<table width = '100%' align ='center'>";
			echo "<tr>";
				echo "<br><td align=center><h2>Actualizaci&oacute;n de Preferencias de la Empresa</h2><td><br><br>";
			echo "</tr>";
		echo "</table>";

$entra=0;
///////////////////////////////////////////////// graba registros  ////////////////////////////////////////////////////////////////
if ($_POST['graba']==1 ) {
	if ($_POST['nuevo']==0) $query = "insert into empresa (nombre,cargo,id,gerencia,mercantil,propietario,cpropietario,localidad,cedula,representante,ciudad, email1,email2,derecho,pie,encabeza,prestamo) value('".$_POST['nombre_empresa']."','".$_POST['cargo']."','".$_SESSION['id_validar']."','".$_POST['gerencia']."','".$_POST['mercantil']."','".$_POST['propietario']."','".$_POST['cpropietario']."','".$_POST['localidad']."','".$_POST['cedula']."','".$_POST['repre']."','".$_POST['ciudad']."','".$_POST['email1']."','".$_POST['email2']."','".$_POST['derecho']."','".$_POST['pie']."','".$_POST['encabeza']."','".$_POST['prestamo']."')";
	
	else $query = "update empresa set nombre='".$_POST['nombre_empresa']."', moneda='".$_POST['moneda']."',simbolo='".$_POST['simbolo']."',idioma='".$_POST['idioma']."',cargo='".$_POST['cargo']."',gerencia='".$_POST['gerencia']."',mercantil='".$_POST['mercantil']."',propietario='".$_POST['propietario']."',cpropietario='".$_POST['cpropietario']."',localidad='".$_POST['localidad']."',cedula='".$_POST['cedula']."',representante='".$_POST['repre']."',ciudad='".$_POST['ciudad']."',email1='".$_POST['email1']."',email2='".$_POST['email2']."',derecho='".$_POST['derecho']."',pie='".$_POST['pie']."',encabeza='".$_POST['encabeza']."',prestamo='".$_POST['prestamo']."' where id='".$_SESSION['id_validar']."' ";
	$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...".mysqli_error($enlace));
}

///////////////////////////////////////////////// graba logo  ////////////////////////////////////////////////////////////////
if ($_POST['bandera']==5) {
        // obtenemos los datos del archivo
        $tamano = $_FILES["archivo"]['size'];
        $tipo = $_FILES["archivo"]['type'];
        $archivo = $_FILES["archivo"]['name'];
        $prefijo = substr(md5(uniqid(rand())),0,6);
       
        if ($archivo != "") {
            // guardamos el archivo a la carpeta files
            $destino =  "images/logo_".$_SESSION['id_validar'].".jpg";
            if (copy($_FILES['archivo']['tmp_name'],$destino)) {
                $status = "Archivo subido: <b>".$archivo."</b>";
            } else {
                $status = "Error al subir el archivo";
            }
        } else {
            $status = "Error al subir archivo";
        }
		echo "<font color='red' ><center>".$status."</center></font>";		
}	

$consulta="select * from empresa where id='".$_SESSION['id_validar']."' ";
$resultado = mysqli_query($enlace,$consulta) or die("Error Buscando empresa" . mysqli_error($enlace));
$nuevo=mysqli_num_rows($resultado);
$row=mysqli_fetch_array($resultado);

		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
		echo "<input type = 'hidden' name = 'graba' value = '1'>";
		echo "<input type = 'hidden' name = 'nuevo' value = '$nuevo'>";
		echo "<table width = '100%' align ='center'>";

		echo "<tr>";
			echo "<td align = 'right'> Nombre/Razón Social: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'nombre_empresa' size = '100' maxlength = '100' value = '".$row['nombre']."' ></td>";
		echo "</tr>";
		
		echo "<tr>";
			echo "<td align = 'right'> Rif de Empresa: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'encabeza' size = '100' maxlength = '100' value = '".$row['encabeza']."' ></td>";
		echo "</tr>";

		echo "<tr>";
			echo "<td align = 'right'> Direcci&oacute;n Fiscal (Pie de Pagina): </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'pie' size = '100' maxlength = '100' value = '".$row['pie']."' ></td>";
		echo "</tr>";

		echo "<tr>";
			echo "<td align = 'right'> Nombre del Responsable de RRHH (constancias): </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'repre' size = '100' maxlength = '100' value = '".$row['representante']."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right'> Cargo del Responsable de RRHH (constancias): </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'cargo' size = '100' maxlength = '50' value = '".$row['cargo']."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right'> Nro. de C&eacute;dula: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'cedula' size = '20' maxlength = '20' value = '".$row['cedula']."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right'> Representante Legal/Propietario (contrato): </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'propietario' size = '100' maxlength = '100' value = '".$row['propietario']."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right'> Nro. de C&eacute;dula: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'cpropietario' size = '20' maxlength = '20' value = '".$row['cpropietario']."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right'> Localidad en Contrato: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'localidad' size = '100' maxlength = '100' value = '".$row['localidad']."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right'> Registro Mercantil: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'mercantil' size = '100' maxlength = '200' value = '".$row['mercantil']."' ></td>";
		echo "</tr>";
		
		echo "<tr>";
			echo "<td align = 'right'> Ciudad de Origen: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'ciudad' size = '100' maxlength = '100' value = '".$row['ciudad']."' ></td>";
		echo "</tr>";
		
		echo "<tr>";
			echo "<td align = 'right'> Nombre de Empresa es la Gerencia? </td>";
			echo "<td align = 'left'> <select name = 'gerencia'>
					<option value='0' ".($row['gerencia']==0?'selected':'').">NO
					<option value='1' ".($row['gerencia']==1?'selected':'').">SI
			</td>";
		echo "</tr>";
		/*
		echo "<tr>";
			echo "<td align = 'right'> Idioma? </td>";
			echo "<td align = 'left'> <select name = 'idioma'>
					<option value='0' ".($row['idioma']==0?'selected':'').">Espa&ntilde;ol
					<option value='1' ".($row['idioma']==1?'selected':'').">Ingles
			</td>";
		echo "</tr>";
		*/
		echo "<tr>";
			echo "<td align = 'right'> Nombre de Moneda: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'moneda' size = '30' maxlength = '20' value = '".$row['moneda']."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right'> Simbolo de Moneda: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'simbolo' size = '30' maxlength = '5' value = '".$row['simbolo']."' ></td>";
		echo "</tr>";
		/*
		echo "<tr>";
			echo "<td align = 'right'> No. de Deducci&oacute;n / Asignaci&oacute;n: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'prestamo' size = '8' maxlength = '8' value = '".$row['prestamo']."' ></td>";
		echo "</tr>";
		*/
		echo "<tr>";
			echo "<td align = 'right'> Derecho de Autor: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'derecho' size = '30' maxlength = '20' value = '".$row['derecho']."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right'> Email Administrativo: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'email1' size = '120' maxlength = '120' value = '".$row['email1']."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align = 'right'> Email Auditores: </td>";
			echo "<td align = 'left'> <input type = 'text' name = 'email2' size = '120' maxlength = '120' value = '".$row['email2']."' ></td>";
		echo "</tr>";

		//echo "</table>";
		//echo "<table width = '20%' align ='left'>";
		//echo "<tr><td><input type = 'submit' value = 'Guardar Cambios'></td></form>";
		echo "<tr>";
			echo "<td align = 'right'>  </td>";
			echo "<td align = 'left'> <input type = 'submit' value = 'Guardar Cambios'></td>";
		echo "</tr>";
		echo "	<script language='javascript' type='text/javascript'>";
		echo "		document.entrada.nombre.focus()";
		echo "	</script></table>";
		
///////////////////////////////////////////////// bajar logo ////////////////////////////////////////////////////////////////
		//Agregado aqui por Miguelangel Para Mover la carga del logo a la pagina de DATOS DE Empresa
		

		
		echo "<table align ='center'>";
		echo "<tr>";
			echo "<td align=center> <h2>Cargar Imagen de Logo a: ".$_SESSION['empresa_validar']."</h2></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align=center><img src='images/logo_".$_SESSION['id_validar'].".jpg' width='300' height='300' style='border-width: 1px; border-color: 75263C;border-style: solid;'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align=center><form name = 'entrada4' action = '".$_SERVER['PHP_SELF']."' target='_blank' method = 'POST'  enctype='multipart/form-data'></td>";
		echo "</tr>";
		//echo "<h2>Cargar Imagen de Logo a: ".$_SESSION['empresa_validar']."</h2>";
		//echo "<img src='images/logo_".$_SESSION['id_validar'].".jpg' width='300' height='300' style='border-width: 1px; border-color: 75263C;border-style: solid;'>";
		//echo "<form name = 'entrada4' action = '".$_SERVER['PHP_SELF']."' target='_blank' method = 'POST'  enctype='multipart/form-data'>";
		echo "<input type = 'hidden' name = 'bandera' value = '5'>";
		//echo "<table cellpadding=2 cellspacing=0 >";
		echo "<tr>";
			echo "<td align=center> Nombre de Archivo (Imagen formato: JPG):</td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align=center> <input name='archivo' type='file' size='35' /></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td align=center colspan=2><input name='contrato' type = 'submit' value = 'Cargar Imagen'></td>";
		echo "</tr>";
		echo "</table>";
		echo"</form><br><hr>"; 
		
							
echo "</font></body>";
echo "</html>";
?>